@echo off & setlocal
CD %~dp0
SET CURRENTDIRECTORY=%~dp0
ECHO Current directory: %CURRENTDIRECTORY%
ECHO Searching for Python directory
FOR /F "usebackq tokens=2,* skip=2" %%L IN (
	`reg query "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Python\PythonCore\2.7\InstallPath" /ve`
) DO SET PYTHONPATH=%%M

echo %PYTHONPATH%

SET PYTHONPATH=%PYTHONPATH%python.exe

echo %PYTHONPATH%

REM Check if python.exe exists
if exist %PYTHONPATH% (
	echo Python file exists
) else (
	SET /p PYTHONPATH="Enter path to python.exe file: "
)

:CHECKSDEFILE
REM Check if .sde file exists
ECHO Check if .sde file exists
IF EXIST "%CURRENTDIRECTORY%*.sde" (
	ECHO "SDE file exists"
	for /r "%~dp0" %%a in (*.sde) do SET SDEFILE=%%a
) ELSE (
	ECHO SDE file does not exist
	SET /p SDEFILE="Enter path to SDE file: "
	ECHO Entered sde file: %SDEFILE%
)

IF EXIST "%SDEFILE%" (
	REM ECHO Entered SDE file exists
) ELSE (
	ECHO Entered SDE file does not exist! Please re-enter path.
	GOTO CHECKSDEFILE
)

ECHO Final sde file: %SDEFILE%

REM CALL Python scripts for each theme
ECHO.
ECHO CALL AM Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\AM\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\AM\ThemeUpdates\AM_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\AM\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\AM\ThemeUpdates\AM_Updates.xlsx" "%SDEFILE%"
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\AM\ThemeUpdates\DomainOperations.py" "%CURRENTDIRECTORY%..\..\AM\ThemeUpdates\AM_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\AM\ThemeUpdates\DomainOperations.py" "%CURRENTDIRECTORY%..\..\AM\ThemeUpdates\AM_Updates.xlsx" "%SDEFILE%"
ECHO.
ECHO Call BR Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\BR\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\BR\ThemeUpdates\BR_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\BR\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\BR\ThemeUpdates\BR_Updates.xlsx" "%SDEFILE%"
ECHO.
ECHO Call BU Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\BU\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\BU\ThemeUpdates\BU_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\BU\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\BU\ThemeUpdates\BU_Updates.xlsx" "%SDEFILE%"
ECHO.
ECHO Call EF Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\TableOperations.py" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\EF_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\TableOperations.py" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\EF_Updates.xlsx" "%SDEFILE%"
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\EF_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\EF_Updates.xlsx" "%SDEFILE%"
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\DomainOperations.py" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\EF_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\DomainOperations.py" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\EF_Updates.xlsx" "%SDEFILE%"
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\RelationshipOperations.py" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\EF_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\RelationshipOperations.py" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\EF_Updates.xlsx" "%SDEFILE%"
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\RecordOperations.py" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\EF_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\RecordOperations.py" "%CURRENTDIRECTORY%..\..\EF\ThemeUpdates\EF_Updates.xlsx" "%SDEFILE%"
ECHO.
ECHO Call EL Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\EL\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\EL\ThemeUpdates\EF_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\EL\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\EL\ThemeUpdates\EL_Updates.xlsx" "%SDEFILE%"
ECHO.
ECHO CALL GE Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\GE\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\GE\ThemeUpdates\GE_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\GE\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\GE\ThemeUpdates\GE_Updates.xlsx" "%SDEFILE%"
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\GE\ThemeUpdates\RecordOperations.py" "%CURRENTDIRECTORY%..\..\GE\ThemeUpdates\GE_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\GE\ThemeUpdates\RecordOperations.py" "%CURRENTDIRECTORY%..\..\GE\ThemeUpdates\GE_Updates.xlsx" "%SDEFILE%"
ECHO.
ECHO Call HB Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\HB\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\HB\ThemeUpdates\HB_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\HB\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\HB\ThemeUpdates\HB_Updates.xlsx" "%SDEFILE%"
ECHO.
ECHO Call HH Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\HH\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\HH\ThemeUpdates\HH_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\HH\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\HH\ThemeUpdates\HH_Updates.xlsx" "%SDEFILE%"
ECHO.
ECHO CALL NZ Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\NZ\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\NZ\ThemeUpdates\NZ_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\NZ\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\NZ\ThemeUpdates\NZ_Updates.xlsx" "%SDEFILE%"
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\NZ\ThemeUpdates\DomainOperations.py" "%CURRENTDIRECTORY%..\..\NZ\ThemeUpdates\NZ_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\NZ\ThemeUpdates\DomainOperations.py" "%CURRENTDIRECTORY%..\..\NZ\ThemeUpdates\NZ_Updates.xlsx" "%SDEFILE%"
ECHO.
ECHO Call PF Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\PF\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\PF\ThemeUpdates\PF_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\PF\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\PF\ThemeUpdates\PF_Updates.xlsx" "%SDEFILE%"
ECHO.
ECHO CALL SD Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\SD\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\SD\ThemeUpdates\SD_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\SD\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\SD\ThemeUpdates\SD_Updates.xlsx" "%SDEFILE%"
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\SD\ThemeUpdates\DomainOperations.py" "%CURRENTDIRECTORY%..\..\SD\ThemeUpdates\SD_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\SD\ThemeUpdates\DomainOperations.py" "%CURRENTDIRECTORY%..\..\SD\ThemeUpdates\SD_Updates.xlsx" "%SDEFILE%"
ECHO.
ECHO CALL SR Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\SR\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\SR\ThemeUpdates\SR_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\SR\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\SR\ThemeUpdates\SR_Updates.xlsx" "%SDEFILE%"
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\SR\ThemeUpdates\RecordOperations.py" "%CURRENTDIRECTORY%..\..\SR\ThemeUpdates\SR_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\SR\ThemeUpdates\RecordOperations.py" "%CURRENTDIRECTORY%..\..\SR\ThemeUpdates\SR_Updates.xlsx" "%SDEFILE%"
ECHO.
ECHO Call US Scripts
ECHO Running: "%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\US\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\US\ThemeUpdates\US_Updates.xlsx" "%SDEFILE%"
"%PYTHONPATH%" "%CURRENTDIRECTORY%..\..\US\ThemeUpdates\AddFields.py" "%CURRENTDIRECTORY%..\..\US\ThemeUpdates\US_Updates.xlsx" "%SDEFILE%"
ECHO.
pause