# AddToDomainsFromNumDescFormat.py
# Creates a domain specified by domName value in a GDB workspace
# Adds domain values to a GDB imported from a txt file. Note: Please make sure text file is ANSI encoded.
# Format of the lines in the text file is as follows:
##  Each line begins with a numeric code value which cannot contain Alpha characters.
##  Examples: 01.23.01 Description   or   01 04 Description
##  It's recommended to use a File Geodatabase to do the import and then
##  export from there.

import arcpy
import sys, os
import io
import re
reload (re)

try:
    # Set local parameters
    arcpy.env.workspace = r"D:\Data\AG4I\PF" ## Directory containing File GDB.
    gdb = "PF_Domains.gdb" ## File GDB name
    txtFile = r"Path\my text file.txt" ## Path to text file containing desired domains to import.    
    domName = "dWasteValue"   # Domain name, dProductCPAValue or dWasteValue; match with text file to import.
    gdb = "PF_Domains.gdb"
  
    
   
    # Process: Create the coded value domain if needed
    domExists = False
    desc3 = arcpy.Describe(os.path.join(arcpy.env.workspace, gdb))
    domains3 = desc3.domains
    if len(domains3) > 0:
        for domain in domains3:
            print domain
            if domain == domName:
                domExists = True
                break    
    if not domExists:
        arcpy.CreateDomain_management(gdb, domName, domName + "domain values", "TEXT", "CODED")

    text_file = open(txtFile, "r")
    lines = text_file.readlines()
    text_file.close()

    # Process: Add lines to the domain
    # use a for loop to cycle through all the domain codes in the dictionary
    for line in lines:
        line = line.strip()
        code = ""

        # Find start of first Alpha character
        r = re.search("[a-zA-Z]", line)

        # If no Alpha character, skip line and continue
        if not r:
            continue

        rIdx = r.start()
        
        code = line[:rIdx - 1]
        desc = line[rIdx:]

        if code:
            code = code.strip()
            desc = desc.strip()

            print "Importing code: " + code + " description: " + desc
            
            arcpy.AddCodedValueToDomain_management(gdb, domName, code, desc)

except Exception as err:
    print(err.args[0])
